body {
    overflow-y: auto;
    font-family: Arial, sans-serif;
    background: #0d1117;
    color: #c9d1d9;
    margin: 0;
    padding: 0;
    }
pre {
    background: #161b22;
    padding: 12px;
    border-radius: 10px;
    overflow-x: auto;
    border: 1px solid #30363d;
}
header {
    background: #161b22;
    padding: 20px;
    text-align: center;
    border-bottom: 2px solid #30363d;
}

header h1 {
    margin: 0;
    color: #58a6ff;
}
header img{
    height: 125px;
    width: auto;
}
main {
    max-width: 900px;
    margin: auto;
    padding: 20px;
}

h2 {
    color: #58a6ff;
    padding-bottom: 5px;
}

p {
    line-height: 1.6;
}

code {
    background: #161b22;
    padding: 3px 6px;
    border-radius: 6px;
    color: #f0f6fc;
    font-family: Consolas, monospace;
}

.warning {
    background: rgba(255, 193, 7, 0.15);
    border-left: 4px solid #ffc107;
    padding: 10px;
    margin: 15px 0;
    border-radius: 6px;
}

footer {
    text-align: center;
    padding: 15px;
    background: #161b22;
    border-top: 2px solid #30363d;
    margin-top: 20px;
    font-size: 14px;
}

a {
    color: #58a6ff;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}
button {
    background-color: #000;
    color: #fff;
    border: none;
    padding: 10px 16px;
    border-radius: 12px;
    cursor: pointer;
    transition: 0.2s;
}

button:hover {
    opacity: 0.8;
    transform: scale(1.03);
}
.main-page{
    gap:20px;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items:center;
    padding:60px 0;
    min-height: 50vh;
}
input{
    background-color: #000;
    color:#fff;
    border: 2px solid #30363d;
    border-radius: 10px;
    padding: 10px;
}
.loginPage{
    gap:20px;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items:center; 
    padding:60px 0;
    min-height: 60vh;
}
.requestPage{
    gap:20px;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items:center;
    padding:60px 0;
    min-height: 60vh;
}
